import { AlterLogicType, AlterStateObjType } from "../type";
import { RenderByFormKeyValueType } from "lowcode/_utils/conditionRenderService/type";
export declare class AlterStateService {
    private logicRenderService;
    constructor();
    addRowData(data: AlterStateObjType[]): AlterStateObjType[];
    copyRowData(data: AlterStateObjType[], index: number): AlterStateObjType[];
    removeRowData(data: AlterStateObjType[], id: string): AlterStateObjType[];
    resetRowData(data: AlterStateObjType[], id: string): AlterStateObjType[];
    alterRowData(config: {
        oldData: AlterStateObjType[];
        id: string;
        logic?: AlterLogicType;
        value?: RenderByFormKeyValueType;
    }): AlterStateObjType[];
    getCopyAlterStateList(list: AlterStateObjType[]): AlterStateObjType[];
    private handleCopyAlterLogic;
    private createRowData;
}
